package com.digiwin.athena.app.infra.dto.order;

import com.google.gson.annotations.SerializedName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 人资报道对象 ca_cim_staff
 *
 * @author zhenggl
 * @date 2023-04-28
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class StaffDTO
{

    @SerializedName("id")
    private Long id;

    /** 员工编号 */
    @SerializedName("employee_no")
    private String employeeNo;

    /** 员工名称 */
    @SerializedName("employee_name")
    private String employeeName;

    /** 员工英文名称 */
    @SerializedName("en_employee_name")
    private String enEmployeeName;

    /** 手机号码 */
    @SerializedName("mobile_no")
    private Long mobileNo;

    /** 电子邮件 */
    @SerializedName("email")
    private String email;

    /** 状态 */
    @SerializedName("status")
    private Integer status = 1;

    /** 数据状态 */
    @SerializedName("tab_status")
    private Integer tabStatus = 0;

    /** 报道日期 */
    @SerializedName("register_date")
    private Date registerDate;


    /** 时间戳 */
    @SerializedName("timestamp")
    private String timestamp;

    //==========冗余==============
    @SerializedName("register_personnel_id")
    public Long registerPersonnelId;


    public StaffDTO(String employeeNo, Long registerPersonnelId) {
        this.employeeNo = employeeNo;
        this.registerPersonnelId = registerPersonnelId;
    }
}
