package com.digiwin.athena.app.service.staff;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.digiwin.app.service.DWEAIResult;
import com.digiwin.athena.app.infra.common.enums.TabStatusEnums;
import com.digiwin.athena.app.infra.dto.order.StaffDTO;
import com.digiwin.athena.app.infra.entity.StaffEntity;
import com.digiwin.athena.app.infra.repository.StaffRepository;
import com.digiwin.athena.opt.common.eai.EAIRequest;
import com.digiwin.athena.opt.common.eai.EAIUtil;
import com.digiwin.athena.opt.common.eai.service.AbsEAIService;
import com.digiwin.athena.opt.common.security.SecurityUtil;


import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @Auther: zhenggl
 * @Date: 2023/4/28
 */
public class StaffQueryEAIService extends AbsEAIService {

    @Resource
    private StaffRepository staffRepository;

    @Override
    public String getServiceName() {
        return StaffUtil.DEMO_WAIT_REGISTER_PERSONNEL_INFO_QUERY;
    }

    @Override
    public DWEAIResult execute(Map<String, String> headers, String messageBody) throws Exception {
        LambdaQueryWrapper<StaffEntity> lmq = new LambdaQueryWrapper<>();
        lmq.eq(StaffEntity::getTenantSid, SecurityUtil.getUserProfile().getTenantSid());
        lmq.eq(StaffEntity::getTabStatus, TabStatusEnums.NOSET.getValue());
        List<StaffEntity> staffEntities = staffRepository.selectList(lmq);
        return EAIUtil.buildEAIResult(new JSONObject().fluentPut("wait_register_personnel",staffEntities));
    }
}
