package com.digiwin.athena.app.service.staff;

import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.digiwin.app.service.DWEAIResult;
import com.digiwin.athena.app.infra.common.enums.TabStatusEnums;
import com.digiwin.athena.app.infra.entity.StaffEntity;
import com.digiwin.athena.app.infra.service.StaffService;
import com.digiwin.athena.opt.common.eai.EAIRequest;
import com.digiwin.athena.opt.common.eai.EAIUtil;
import com.digiwin.athena.opt.common.eai.service.AbsEAIService;
import org.springframework.util.CollectionUtils;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


/**
 * @Auther: zhenggl
 * @Date: 2023/4/28
 */
public class StaffUpdateEAIService extends AbsEAIService {

    @Resource
    private StaffService staffService;

    @Override
    public String getServiceName() {
        return StaffUtil.DEMO_WAIT_REGISTER_PERSONNEL_INFO_UPDATE;
    }

    @Override
    public DWEAIResult execute(Map<String, String> headers, String messageBody) throws Exception {
        //反序列化字段
        EAIRequest request = new EAIRequest(messageBody);
        List<Integer> staffList = request.getObject("wait_register_personnel", new ArrayList<Integer>().getClass());
        if (!CollectionUtils.isEmpty(staffList)){
            LambdaUpdateWrapper<StaffEntity> lmu = new LambdaUpdateWrapper<>();
            lmu.set(StaffEntity::getTabStatus, TabStatusEnums.COMPLETED.getValue());
            lmu.in(StaffEntity::getId,staffList);
            staffService.update(lmu);
        }
        return EAIUtil.buildEAIResult(new HashMap<>());
    }
}
